#ifndef CONFIGVIEW_H
#define CONFIGVIEW_H


// ConfigView.h
// Interface for the ConfigView class - a custom BView to handle the controls
//  for the configuration menu in the screensaver


#include <stdio.h>
//#include <Slider.h>
#include <CheckBox.h>
#include <StringView.h>

//#include "Common_stuff.h"


class ConfigView : public BView
{
  private:
    BStringView *lblTitle;
  	BStringView *lblAbout;
  	BStringView *lblBy;
  	BStringView *lblEMail;
  	BCheckBox 	*chkBackground;
  	BCheckBox	*chkUseWaitForRetrace;
  	//BButton		*bttTest;
  	
    //BSlider *num_sparks_slider, *trail_length_slider, *gravity_slider;
    //BCheckBox *blending_checkbox;
    //BStringView *title_view, *version_view, *credits_view;  
    
    bool        *DrawBackground;
    bool		*boolWaitForRetrace;
    //int32* num_sparks;
    //int32* trail_length;
    //float* gravity;
    //bool* blending;
    
  public:
    // Constructor
    ConfigView(BRect frame, const char *name, bool *new_DrawBackground, bool *new_boolWaitForRetrace);
    
    // Override these virtual functions inherited from BView
    void AttachedToWindow();
    void MessageReceived(BMessage *msg);
};



#endif


